Bug 814972 - Regression: Synaptics touchpad stop working after suspend on EFI/Macbook Air
Regression: Synaptics touchpad stop working after suspend on EFI/Macbook Air
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 15:08 EDT by Michael Kaufmann
Modified: 2012-05-07 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-drv-synaptics-1.6.0-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 15:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 49161 None None None Never

  None (edit)
Description Michael Kaufmann 2012-04-21 15:08:32 EDT
Description of problem:
After upgrading xorg-x11-drv-synaptics.x86_64 from 0:1.5.99.902* to 0:1.5.99.903* the touchpad on my Macbook Air 4,2 (mid 2011) stopped working after wakeup from suspend. Restarting the X server with Ctrl+Alt+Back makes it work again. Downgrading to 0:1.5.99-7.20120207git141d9120b.fc17 using yum downgrade fixes the issue. Note that *.902 also used to work, but I don't know how to downgrade to a specific version).


Version-Release number of selected component (if applicable):
xorg-x11-drv-synaptics.x86_64 0:1.5.99.903 - 0:1.5.99.903-2.20120419git11d892964.fc17 (which is the latest version I can install as of now)

How reproducible:
always

Steps to Reproduce:
1. Boot
2. Suspend
3. Resume
  
Actual results:
Touchpad stops working (can't move pointer)

Expected results:
Touchpad works as usual

Additional info:
I applied all EFI updates from Apple but it didn't change anything. I'm booting Fedora 17 in EFI mode, no BIOS emulation afaik.

Linux komet 3.3.2-1.fc17.x86_64 #1 SMP Fri Apr 13 20:23:49 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Fedora Update System 2012-04-24 01:53:56 EDT
xorg-x11-drv-synaptics-1.5.99.903-4.20120419git11d892964.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.5.99.903-4.20120419git11d892964.fc17
Comment 2 Michael Kaufmann 2012-04-24 15:46:08 EDT
xorg-x11-drv-synaptics-1.5.99.903-4.20120419git11d892964.fc17 fixes the issue for me.
Comment 3 Fedora Update System 2012-04-26 19:41:54 EDT
xorg-x11-drv-synaptics-1.5.99.904-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.5.99.904-1.fc17
Comment 4 Fedora Update System 2012-05-02 18:48:50 EDT
xorg-x11-drv-synaptics-1.6.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.6.0-1.fc17
Comment 5 Fedora Update System 2012-05-07 00:15:53 EDT
xorg-x11-drv-synaptics-1.6.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.